From 58183e2228a15e50f8c6006c51fb090cead4f6d7 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 03 2021 07:47:16 +0000
Subject: [PATCH 2025/2232] Enable support for extern Rust types containing lifetimes


---

diff --git a/syntax/check.rs b/syntax/check.rs
index 9a8881f..b9f6660 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -335,13 +335,6 @@ fn check_api_type(cx: &mut Check, ety: &ExternType) {
         cx.error(derive, msg);
     }
 
-    if let Some(lifetime) = ety.generics.lifetimes.first() {
-        if ety.lang == Lang::Rust {
-            let msg = "extern Rust type with lifetimes is not supported yet";
-            cx.error(lifetime, msg);
-        }
-    }
-
     if !ety.bounds.is_empty() {
         let bounds = &ety.bounds;
         let span = quote!(#(#bounds)*);

